Bug 1888900 - align plugins versions
Summary: align plugins versions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Akram Ben Aissi
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On:
Blocks: 1888901
TreeView+ depends on / blocked
 
Reported: 2020-10-16 08:10 UTC by jawed
Modified: 2021-02-24 15:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1888901 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:26:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift jenkins pull 1173 0 None closed [master] Bug 1888900: Align plugin version 2020-11-16 02:41:52 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:26:53 UTC

Description jawed 2020-10-16 08:10:20 UTC
Description of problem:
align plugins versions

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 jawed 2020-10-26 10:44:20 UTC
ART https://issues.redhat.com/browse/ART-2383

Comment 3 Jitendar Singh 2020-10-29 17:12:04 UTC
VERIFIED.
Plugins patched in - https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=1366579 which includes jenkins-2-plugins-4.7.1603734574-1.el8.n plugins patch

=========================================
 jsingh@localhost  ~  oc new-app jenkins-ephemeral -p NAMESPACE=$(oc project -q) -p JENKINS_IMAGE_STREAM_TAG=jenkins-jitsingh:latest
--> Deploying template "openshift/jenkins-ephemeral" to project jenkins-test

     Jenkins (Ephemeral)
     ---------
     Jenkins service, without persistent storage.
     
     WARNING: Any data stored will be lost upon pod destruction. Only use this template for testing.

     A Jenkins service has been created in your project.  Log into Jenkins with your OpenShift account.  The tutorial at https://github.com/openshift/origin/blob/master/examples/jenkins/README.md contains more information about using this template.

     * With parameters:
        * Jenkins Service Name=jenkins
        * Jenkins JNLP Service Name=jenkins-jnlp
        * Enable OAuth in Jenkins=true
        * Memory Limit=1Gi
        * Jenkins ImageStream Namespace=jenkins-test
        * Disable memory intensive administrative monitors=false
        * Jenkins ImageStreamTag=jenkins-jitsingh:latest
        * Allows use of Jenkins Update Center repository with invalid SSL certificate=false

--> Creating resources ...
    route.route.openshift.io "jenkins" created
    configmap "jenkins-trusted-ca-bundle" created
    deploymentconfig.apps.openshift.io "jenkins" created
    serviceaccount "jenkins" created
    rolebinding.authorization.openshift.io "jenkins_edit" created
    service "jenkins-jnlp" created
    service "jenkins" created
--> Success
    Access your application via route 'jenkins-jenkins-test.apps.dev-svc-4.6-102914.devcluster.openshift.com' 
    Run 'oc status' to view your app.
 jsingh@localhost  ~  oc get pods -w
NAME               READY   STATUS              RESTARTS   AGE
jenkins-1-deploy   1/1     Running             0          7s
jenkins-1-s2xtg    0/1     ContainerCreating   0          3s
jenkins-1-s2xtg    0/1     ContainerCreating   0          3s
jenkins-1-s2xtg    0/1     ContainerCreating   0          5s
jenkins-1-s2xtg    0/1     Running             0          42s
jenkins-1-s2xtg    1/1     Running             0          88s
jenkins-1-deploy   0/1     Completed           0          93s
^C%                                                                                                                                                                                            ✘ jsingh@localhost  ~  oc rsh jenkins-1-s2xtg
sh-4.4$ cat /var/lib/jenkins/plugins/script-security/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.75
sh-4.4$ cat /var/lib/jenkins/plugins/token-macro/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 2.12
sh-4.4$ cat /var/lib/jenkins/plugins/subversion/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 2.13.1
sh-4.4$ cat /var/lib/jenkins/plugins/workflow-cps-global-lib/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 2.15
sh-4.4$ cat /var/lib/jenkins/plugins/workflow-support/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 3.5
sh-4.4$ cat /var/lib/jenkins/plugins/pipeline-model-definition/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.6.0
sh-4.4$ cat /var/lib/jenkins/plugins/pipeline-github-lib/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.0
sh-4.4$ cat /var/lib/jenkins/plugins/openshift-client/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.0.34
sh-4.4$ cat /var/lib/jenkins/plugins/openshift-login/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.0.26
sh-4.4$ cat /var/lib/jenkins/plugins/openshift-sync/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.0.45
sh-4.4$ cat /var/lib/jenkins/plugins/pam-auth/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.6
sh-4.4$ exit
exit
 jsingh@localhost  ~  oc new-app -f maven.yaml 
--> Deploying template "jenkins-test/maven-pipeline" for "maven.yaml" to project jenkins-test

     * With parameters:
        * Application Name=openshift-jee-sample
        * Source URL=https://github.com/openshift/openshift-jee-sample.git
        * Source Ref=master
        * GitHub Webhook Secret=Ul5eb0GrU662FPgIoo0A4p7ee33TMBTgsqDVEMjC # generated
        * Generic Webhook Secret=UjXKGPA1OJirCcMJoOlnDBWgbxCFd8AuGd1Ng3Dn # generated

--> Creating resources ...
    imagestream.image.openshift.io "openshift-jee-sample" created
    imagestream.image.openshift.io "wildfly" created
    buildconfig.build.openshift.io "openshift-jee-sample" created
    buildconfig.build.openshift.io "openshift-jee-sample-docker" created
    deploymentconfig.apps.openshift.io "openshift-jee-sample" created
    service "openshift-jee-sample" created
    route.route.openshift.io "openshift-jee-sample" created
--> Success
    Use 'oc start-build openshift-jee-sample' to start a build.
    Use 'oc start-build openshift-jee-sample-docker' to start a build.
    Access your application via route 'openshift-jee-sample-jenkins-test.apps.dev-svc-4.6-102914.devcluster.openshift.com' 
    Run 'oc status' to view your app.
 jsingh@localhost  ~  oc get routes
NAME                   HOST/PORT                                                                            PATH   SERVICES               PORT       TERMINATION     WILDCARD
jenkins                jenkins-jenkins-test.apps.dev-svc-4.6-102914.devcluster.openshift.com                       jenkins                <all>      edge/Redirect   None
openshift-jee-sample   openshift-jee-sample-jenkins-test.apps.dev-svc-4.6-102914.devcluster.openshift.com          openshift-jee-sample   8080-tcp                   None
 jsingh@localhost  ~  oc start-build openshift-jee-sample
build.build.openshift.io/openshift-jee-sample-1 started
 jsingh@localhost  ~  oc get pods -w
NAME               READY   STATUS      RESTARTS   AGE
jenkins-1-deploy   0/1     Completed   0          8m50s
jenkins-1-s2xtg    1/1     Running     0          8m46s
maven-trhs1        0/1     Pending     0          0s
maven-trhs1        0/1     Pending     0          0s
maven-trhs1        0/1     ContainerCreating   0          0s
maven-trhs1        0/1     ContainerCreating   0          2s
maven-trhs1        0/1     ContainerCreating   0          5s
maven-trhs1        1/1     Running             0          19s
maven-trhs1        1/1     Terminating         0          45s
openshift-jee-sample-docker-1-build   0/1     Pending             0          0s
openshift-jee-sample-docker-1-build   0/1     Pending             0          0s
openshift-jee-sample-docker-1-build   0/1     Init:0/2            0          1s
maven-trhs1                           0/1     Terminating         0          52s
openshift-jee-sample-docker-1-build   0/1     Init:0/2            0          6s
openshift-jee-sample-docker-1-build   0/1     Init:0/2            0          8s
maven-trhs1                           0/1     Terminating         0          55s
maven-trhs1                           0/1     Terminating         0          55s
openshift-jee-sample-docker-1-build   0/1     Init:0/2            0          15s
openshift-jee-sample-docker-1-build   0/1     Init:1/2            0          16s
openshift-jee-sample-docker-1-build   0/1     PodInitializing     0          17s
openshift-jee-sample-docker-1-build   1/1     Running             0          18s
openshift-jee-sample-docker-1-build   0/1     Completed           0          80s
openshift-jee-sample-1-deploy         0/1     Pending             0          0s
openshift-jee-sample-1-deploy         0/1     Pending             0          0s
openshift-jee-sample-1-deploy         0/1     ContainerCreating   0          0s
openshift-jee-sample-1-deploy         0/1     ContainerCreating   0          3s
openshift-jee-sample-1-4msd7          0/1     Pending             0          0s
openshift-jee-sample-1-4msd7          0/1     Pending             0          0s
openshift-jee-sample-1-4msd7          0/1     ContainerCreating   0          0s
openshift-jee-sample-1-deploy         1/1     Running             0          4s
openshift-jee-sample-1-4msd7          0/1     ContainerCreating   0          2s
openshift-jee-sample-1-4msd7          0/1     ContainerCreating   0          5s
openshift-jee-sample-1-4msd7          0/1     Running             0          30s
openshift-jee-sample-1-4msd7          1/1     Running             0          61s
openshift-jee-sample-1-deploy         0/1     Completed           0          64s
^C%                                                                                                                                                                                            ✘ jsingh@localhost  ~  oc get pods
NAME                                  READY   STATUS      RESTARTS   AGE
jenkins-1-deploy                      0/1     Completed   0          12m
jenkins-1-s2xtg                       1/1     Running     0          12m
openshift-jee-sample-1-4msd7          1/1     Running     0          90s
openshift-jee-sample-1-deploy         0/1     Completed   0          93s
openshift-jee-sample-docker-1-build   0/1     Completed   0          2m53s
 jsingh@localhost  ~  oc get routes
NAME                   HOST/PORT                                                                            PATH   SERVICES               PORT       TERMINATION     WILDCARD
jenkins                jenkins-jenkins-test.apps.dev-svc-4.6-102914.devcluster.openshift.com                       jenkins                <all>      edge/Redirect   None
openshift-jee-sample   openshift-jee-sample-jenkins-test.apps.dev-svc-4.6-102914.devcluster.openshift.com          openshift-jee-sample   8080-tcp                   None
 jsingh@localhost  ~ 

Comment 6 errata-xmlrpc 2021-02-24 15:26:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.